//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FunXgame.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class Producto
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Producto()
        {
            this.Orden_Producto = new HashSet<Orden_Producto>();
        }
    
        public int Id_producto { get; set; }
        public string Codigo_producto { get; set; }
        public int Id_estado { get; set; }
        public int Id_marca { get; set; }
        public int Id_categoria { get; set; }
        public int Id_imagen { get; set; }
        public string Nombre_producto { get; set; }
        public double Precio_producto { get; set; }
        public int Stock_producto { get; set; }
        public string Descripcion_producto { get; set; }
    
        public virtual Categoria Categoria { get; set; }
        public virtual Estado Estado { get; set; }
        public virtual Imagen Imagen { get; set; }
        public virtual Marca Marca { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Orden_Producto> Orden_Producto { get; set; }
    }
}
